package com.fs.his.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsPrescribeDrugMapper;
import com.fs.his.domain.FsPrescribeDrug;
import com.fs.his.service.IFsPrescribeDrugService;

/**
 * 处方药品Service业务层处理
 * 
 * @author fs
 * @date 2023-07-27
 */
@Service
public class FsPrescribeDrugServiceImpl implements IFsPrescribeDrugService 
{
    @Autowired
    private FsPrescribeDrugMapper fsPrescribeDrugMapper;

    /**
     * 查询处方药品
     * 
     * @param drugId 处方药品主键
     * @return 处方药品
     */
    @Override
    public FsPrescribeDrug selectFsPrescribeDrugByDrugId(Long drugId)
    {
        return fsPrescribeDrugMapper.selectFsPrescribeDrugByDrugId(drugId);
    }

    /**
     * 查询处方药品列表
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 处方药品
     */
    @Override
    public List<FsPrescribeDrug> selectFsPrescribeDrugList(FsPrescribeDrug fsPrescribeDrug)
    {
        return fsPrescribeDrugMapper.selectFsPrescribeDrugList(fsPrescribeDrug);
    }

    /**
     * 新增处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    @Override
    public int insertFsPrescribeDrug(FsPrescribeDrug fsPrescribeDrug)
    {
        return fsPrescribeDrugMapper.insertFsPrescribeDrug(fsPrescribeDrug);
    }

    /**
     * 修改处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    @Override
    public int updateFsPrescribeDrug(FsPrescribeDrug fsPrescribeDrug)
    {
        return fsPrescribeDrugMapper.updateFsPrescribeDrug(fsPrescribeDrug);
    }

    /**
     * 批量删除处方药品
     * 
     * @param drugIds 需要删除的处方药品主键
     * @return 结果
     */
    @Override
    public int deleteFsPrescribeDrugByDrugIds(Long[] drugIds)
    {
        return fsPrescribeDrugMapper.deleteFsPrescribeDrugByDrugIds(drugIds);
    }

    /**
     * 删除处方药品信息
     * 
     * @param drugId 处方药品主键
     * @return 结果
     */
    @Override
    public int deleteFsPrescribeDrugByDrugId(Long drugId)
    {
        return fsPrescribeDrugMapper.deleteFsPrescribeDrugByDrugId(drugId);
    }
}
